Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366835 - Review Request: reactive-streams - A Protocol for Asynchronous Non-Blocking Data Sequence
Summary: Review Request: reactive-streams - A Protocol for Asynchronous Non-Blocking D...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1353904 1353905 1366845
TreeView+ depends on / blocked
 
Reported: 2016-08-13 09:58 UTC by gil cattaneo
Modified: 2016-08-29 08:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-29 08:03:04 UTC
besser82: fedora-review+


Attachments (Terms of Use)

Description gil cattaneo 2016-08-13 09:58:51 UTC
Spec URL: https://gil.fedorapeople.org/reactive-streams.spec
SRPM URL: https://gil.fedorapeople.org/reactive-streams-1.0.0-1.fc24.src.rpm
Description:
Reactive Streams is an initiative to provide a standard for
asynchronous stream processing with non-blocking back pressure.
This encompasses efforts aimed at run-time environments (JVM and
JavaScript) as well as network protocols.
Fedora Account System Username: gil

Spring Framework 4.x (indirect) dependency

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=15241840

Comment 1 Björn 'besser82' Esser 2016-08-23 15:49:47 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 48 files have unknown license. Detailed
     output of licensecheck in /home/besser82/shared/fedora/review/1366835
     -reactive-streams/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 61440 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     reactive-streams-examples , reactive-streams-tck , reactive-streams-
     javadoc
     ---> All packages are noarch'ed.

[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
     ---> checks are run during maven-build
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: reactive-streams-1.0.0-1.fc26.noarch.rpm
          reactive-streams-examples-1.0.0-1.fc26.noarch.rpm
          reactive-streams-tck-1.0.0-1.fc26.noarch.rpm
          reactive-streams-javadoc-1.0.0-1.fc26.noarch.rpm
          reactive-streams-1.0.0-1.fc26.src.rpm
reactive-streams-examples.noarch: W: no-documentation
reactive-streams-tck.noarch: W: spelling-error %description -l en_US implementers -> implementer, implementer s, implemented
5 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
reactive-streams-tck.noarch: W: spelling-error %description -l en_US implementers -> implementer, implementer s, implemented
reactive-streams-examples.noarch: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
reactive-streams (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools

reactive-streams-javadoc (rpmlib, GLIBC filtered):
    javapackages-tools

reactive-streams-tck (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(org.reactivestreams:reactive-streams)
    mvn(org.reactivestreams:reactive-streams-examples)
    mvn(org.testng:testng)

reactive-streams-examples (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(org.reactivestreams:reactive-streams)



Provides
--------
reactive-streams:
    mvn(org.reactivestreams:reactive-streams)
    osgi(org.reactivestreams.reactive-streams)
    reactive-streams

reactive-streams-javadoc:
    reactive-streams-javadoc

reactive-streams-tck:
    mvn(org.reactivestreams:reactive-streams-tck)
    osgi(org.reactivestreams.reactive-streams-tck)
    reactive-streams-tck

reactive-streams-examples:
    mvn(org.reactivestreams:reactive-streams-examples)
    osgi(org.reactivestreams.reactive-streams-examples)
    reactive-streams-examples



Source checksums
----------------
https://github.com/reactive-streams/reactive-streams-jvm/archive/v1.0.0/reactive-streams-1.0.0.tar.gz :
  CHECKSUM(SHA256) this package     : 41c78fb4c546d585249dbc0195b635346cbf81c50ab29851c0e9d69b74e9761f
  CHECKSUM(SHA256) upstream package : 41c78fb4c546d585249dbc0195b635346cbf81c50ab29851c0e9d69b74e9761f


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1366835
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


===== Solution =====

Package approved!!!

Comment 2 gil cattaneo 2016-08-23 18:26:19 UTC
Thanks for the review!

create new SCM request/s:
https://admin.fedoraproject.org/pkgdb/package/requests/7419
https://admin.fedoraproject.org/pkgdb/package/requests/7420

Comment 3 Gwyn Ciesla 2016-08-23 18:40:05 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/reactive-streams

Comment 4 Fedora Update System 2016-08-25 11:49:23 UTC
reactive-streams-1.0.0-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e8e0b89c55

Comment 5 Fedora Update System 2016-08-25 18:21:24 UTC
reactive-streams-1.0.0-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e8e0b89c55

Comment 6 Fedora Update System 2016-08-29 08:03:02 UTC
reactive-streams-1.0.0-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.